Description

Using a gvSIG2 user folder (instead of the same gvSIG one of gvSIG 1.x) should allow to keep separate the configurations and log
files of different versions of gvSIG (1.x and 2.X).

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 1798: gvSIG basic symbol... Won't fix 04/18/2013

History
#1 - 11/29/2014 12:44 PM - Antonio Falciano

Has this feature request a great impact on gvSIG 2.1 and its extensions?

#2 - 12/01/2014 12:06 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #1798: gvSIG basic symbols are not installed added

#3 - 12/01/2014 12:10 PM - Joaquín  del Cerro Murciano

Hola Antonio,
de momento que yo sepa vamos a mantener la carpeta gvSIG en el HOME del usuario.
De todos modos es relativamente facil cambiarla.

En linux bastaria con editar el fichero gvSIG.sh de la instalacion de gvSIG y hacia la linea 84, donde dice:

if [ "$GVSIG_APPLICATION_NAME" = "" ] ; then
  GVSIG_APPLICATION_NAME=gvSIG
fi

Sustituir "gvSIG" por gvSIG2:

if [ "$GVSIG_APPLICATION_NAME" = "" ] ; then
  GVSIG_APPLICATION_NAME=gvSIG2
fi

En windows es algo mas complicado por que tenemos un exe en lugar de un script, pero tampoco deberia ser complicado. Habria que modificar el
fichero gvsig-desktop.xml, y en la linea que dice:
  <cmdLine>gvSIG gvSIG/extensiones</cmdLine>

Poner:

  <cmdLine>gvSIG2 gvSIG/extensiones</cmdLine>

Y volver a regenerar el exe con el launch4j.

A ver si cuando tenga un rato escribo un pequeño articulo en el blog contando como recrear el exe de windows para que cualquiera pueda hacerse
estas pequeñas modificaciones.

Sobre el impacto que pueda tener este cambio... pues no deberia ser mucho, y si observas algun error derivado de ello comentalo y lo iremos
corrigiendo

#4 - 12/01/2014 06:57 PM - Antonio Falciano
- File gvsig-desktop.xml added

Hi Joaquín,
thank you very much! I've just followed your detailed instructions on Windows, built a new gvsig-desktop.exe with launch4j and it works successfully.
The result is that all the plugins write their persistence files under the gvSIG2/plugins folder correctly and the gvSIG folder is not created anymore. The
unique difference is the name of the log file: it becomes gvSIG2.log, but this is not a problem. I attach the adapted gvsig-desktop.xml for future
reference.

#5 - 12/02/2014 10:44 AM - Joaquín  del Cerro Murciano

Ten en cuenta que ese gvsig-desktop.xml y exe solo valen para esa version de gvSIG, para otra verion/build tendras que volver a modificar el xml y
rehacer el exe ya que si te fijas hay una linea:

<jar>.\lib\org.gvsig.andami.updater-2.0.71.jar</jar>

que es dependiente de la version.
La version de ese jar cambia con cada build de gvSIG.
Por ejemplo para el build 2258 es la 2.0.71, y para el 2259 es la 2.0.72.

#6 - 12/02/2014 11:07 AM - Antonio Falciano

In order to avoid confusion with build numbers, it's better to customize directly the gvsig-desktop.xml of a build instead of starting from the xml in
attachment.

#7 - 12/02/2014 11:39 AM - Antonio Falciano

From http://launch4j.sourceforge.net/docs.html#Configuration_file:
<jre>
    Required element that groups JRE settings.

<path>, <minVersion>, <maxVersion>
    The <path> property is used to specify the absolute or relative path (to the executable) of a bundled JRE [...]
    Note that this path is not checked until the actual application execution.

So if the path of the bundled JRE is not checked immediately, launch4j uses a system JRE/JDK (checking the JAVA_HOME and JRE_HOME
environment variables if available or searching in the Windows registry) the first time gvsig-desktop.exe is executed.

#8 - 12/02/2014 11:43 AM - Antonio Falciano

Antonio Falciano wrote:

From http://launch4j.sourceforge.net/docs.html#Configuration_file:
[...]

So if the path of the bundled JRE is not checked immediately, launch4j uses a system JRE/JDK (checking the JAVA_HOME and JRE_HOME
environment variables if available or searching in the Windows registry) the first time gvsig-desktop.exe is executed.

Ops... Excuse me, this comment is strictly related to #3023#note-13.

#9 - 03/04/2020 02:58 PM - Álvaro Anguix
- Status changed from New to Outdated

Files
gvsig-desktop.xml 1.86 KB 12/01/2014 Antonio Falciano
